package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumWxAuthotizationTemplateStatus {

    SUCCESS(0, "模板已设置"),
    Fail(1, "模板设置失败")
    ;

    public static EnumWxAuthotizationTemplateStatus getEnum(Integer code) {
        for (EnumWxAuthotizationTemplateStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumWxAuthotizationTemplateStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
