package com.iformall.service.toutiao.api.bean;

import com.google.gson.JsonArray;
import lombok.*;

import java.io.Serializable;

/**
 * @author S
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TtOpenNotifyMsg implements Serializable {

  private static final long serialVersionUID = -44544979421396117L;

  private String componentAppId;

  /**
   * Ticket-----推送ticket
   *
   */
  private String msgType;

  /**
   * PUSH ----- 目前推送ticket
   * AUTHORIZED ------ 授权通知
   * UNAUTHORIZED ----- 解除授权通知
   * UPDATE_AUTHORIZED ------- 找回授权码通知
   * PACKAGE_AUDIT ------审核结果通知
   */
  private String event;


//------推送ticket
  private String ticket;

  private String fromUserName;

  //2019-01-14 12:45:10
  private String createTime;

  //-----授权/解除授权通知/找回授权码
  private String appId;//授权小程序的appid
  private String tpAppId;//第三方应用appid
  private String eventTime;//授权/解除授权时间 2019-01-14 12:45:10
  private String authorizationCode;//授权码
  private Integer authorizationCodeExpiresIn;//授权码有效期

  private JsonArray auditResults;//审核结果


  public static TtOpenNotifyMsg fromJson(String json) {
    return TtOpenGsonBuilder.create().fromJson(json, TtOpenNotifyMsg.class);
  }

}
