package com.iformall.service.toutiao.api.bean;

import com.google.gson.*;
import me.chanjar.weixin.common.util.json.GsonHelper;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

/**
 * @author <a href="https://github.com/007gzs">007</a>
 */
public class TtOpenRetrieveCodeGsonAdapter implements JsonDeserializer<TtOpenRetrieveCode> {

  @Override
  public TtOpenRetrieveCode deserialize(JsonElement jsonElement, Type type, JsonDeserializationContext jsonDeserializationContext) throws JsonParseException {
    TtOpenRetrieveCode retrieveCode = new TtOpenRetrieveCode();
    JsonObject jsonObject = jsonElement.getAsJsonObject();
    retrieveCode.setAuthorizationCode(GsonHelper.getString(jsonObject, "authorization_code"));
    retrieveCode.setExpiresIn(GsonHelper.getPrimitiveInteger(jsonObject, "expires_in"));

    return retrieveCode;
  }
}
