package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@TableName(value = "wx_weapp_release_status")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxWeappReleaseStatus extends BaseEntity {
	private static final long serialVersionUID = 1L;

    protected Long id;

    @io.swagger.annotations.ApiModelProperty(value="租户ID",name="tenantId")
    private String tenantId;
	@io.swagger.annotations.ApiModelProperty(value="小程序ID",name="appId")
	private String appId;
	@io.swagger.annotations.ApiModelProperty(value="小程序类型(1-B端 2-C端)",name="type")
	private Integer type;
	@io.swagger.annotations.ApiModelProperty(value="用户版本",name="userVersion")
	private String userVersion;
    @io.swagger.annotations.ApiModelProperty(value="用户版本描述",name="versionDesc")
    private String versionDesc;
    @io.swagger.annotations.ApiModelProperty(value="发布状态(0:发布成功, 1:发布失败, 2:发布中, 3:发布撤回)",name="releaseStatus")
    private Integer releaseStatus;
    @io.swagger.annotations.ApiModelProperty(value="发布错误码",name="releaseErrCode")
    private String releaseErrCode;
    @io.swagger.annotations.ApiModelProperty(value="发布时间",name="releaseTime")
    private Date releaseTime;

    @io.swagger.annotations.ApiModelProperty(value="小程序平台",name="plat")
    private Integer plat;


}
