package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.TtMerchantPoi;
import com.iformall.domain.po.WxAppinfo;

/**
 * @author gongbiao
 */
public interface TtMerchantPoiService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<TtMerchantPoi> listAsPage(TtMerchantPoi record, Integer pageIndex, Integer pageSize);

    TtMerchantPoi getById(Long id);

    ResultData addShopMaterial(WxAppinfo appinfo, TtMerchantPoi merchantPoi);

}
