package com.iformall.service.toutiao.api.bean;

import cn.binarywang.wx.miniapp.bean.AbstractWxMaQrcodeWrapper;
import cn.binarywang.wx.miniapp.util.json.WxMaGsonBuilder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TtOpenMaQrcode extends AbstractWxMaQrcodeWrapper implements Serializable {

  private static final long serialVersionUID = 6645997165690108370L;

  private String version;

  private String path;

  public TtOpenMaQrcode(String version, String path) {
    this.version = version;
    this.path = path;
  }

  public static TtOpenMaQrcode fromJson(String json) {
    return TtOpenGsonBuilder.create().fromJson(json, TtOpenMaQrcode.class);
  }

  @Override
  public String toString() {
    return TtOpenGsonBuilder.create().toJson(this);
  }
}
