package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.6 买单事件推送
 */
@Component
public class CardUserPayHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *     <ToUserName><![CDATA[gh_e2243xxxxxxx]]></ToUserName>
         *     <FromUserName><![CDATA[oo2VNuOUuZGMxxxxxxxx]]></FromUserName>
         *     <CreateTime>1442390947</CreateTime>
         *     <MsgType><![CDATA[event]]></MsgType>
         *     <Event><![CDATA[user_pay_from_pay_cell]]></Event>
         *     <CardId><![CDATA[po2VNuCuRo-8sxxxxxxxxxxx]]></CardId>
         *     <UserCardCode><![CDATA[38050000000]]></UserCardCode>
         *     <TransId><![CDATA[10022403432015000000000]]></TransId>
         *     <LocationId>291710000</LocationId>
         *     <Fee><![CDATA[10000]]></Fee>
         *     <OriginalFee><![CDATA[10000]]> </OriginalFee>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_USER_PAY_FROM_PAY_CELL)) {
        }
        return null;
    }

}
