package com.iformall.utils;

public class Constant {

    /** 系统管理员ID */
    public static final Long   SUPER_ADMIN  = 1L;  // 富茂超管
    public static final String FM_SYS_ADMIN = "1"; // 富茂管理员

    public static final int SYS_MENU_MAX = 2000;   // 系统菜单最大值

    public static final String C = "C";
    public static final String B = "B";


    // 1小时过期,
    public final static int H_EXPIRE = 3600000;

    // TOKEN过期时间, 24小时后过期
    public final static int EXPIRE = H_EXPIRE * 24;

    // C端token
    public static final String LOGIN_USER_KEY = "LOGIN_USER_KEY";
    public static final String TENANT_ID = "TENANT_ID";

    // 成长值规则 key prev
    public static final String SCORE_RULES_KEY_PREV = "setting:scorerules1:";
    // 积分规则 key prev
    public static final String CREDIT_RULES_KEY_PREV = "setting:creditrules1:";

    // 获取mall信息
    public static final String MALL_KEY_PREV = "mall:";

    public static final String importMemPrev = "importmem:";
    public static final String adminPage = "https://admin.malls.iformall.com";

    /// REDIS key Prev
    public static final String tt_cuser_customer_service_url_key = "cuser:serviceurl:";
}
